.userbox {
  position: absolute;
  top: 20px;
  right: 20px;
  padding: 10px;
  background: white;
  box-shadow: 0 10px 20px rgba(0,0,0,0.3);
  .spinnerOverlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #0009;
    .spinner {
      width: 20px;
      height: 20px;
      position: absolute;
      top: 50%;
      left: 50%;
      border: solid 5px transparent;
      border-top-color: #CDDC39;
      border-radius: 50%;
      animation: 0.25s infinite linear spin;
    }
  }
  div > * {
    display: inline-block;
  }
  p {
    margin: 0 7px;
  }
  input[type="button"] {
    background: none;
    border: none;
    border-radius: 0;
    font-family: monospace;
    font-size: 14px;
    font-weight: bold;
    color: #009688;
    transition: 0.25s;
    &.userboxBackButton {
      background: #dddddd;
      border-radius: 50%;
      width: 20px;
      height: 20px;
      padding-top: 0px;
      position: absolute;
      right: 10px;
      top: 8px;
    }
    &:not(.userboxBackButton):nth-child(2) {
      border-left: solid #dddddd 2px;
    }
    &:hover {
      color: orange;
    }
    &:focus {
      outline: none;
    }
  }
  form {
    display: flex;
    flex-direction: column;
    margin: 0;
    input {
      margin: 10px 0px 0 0px;
    }
    input[type="input"],
    input[type="password"] {
      background: #dddddd;
      color: gray;
      &::placeholder {
        color: #aaaaaa;
      }
    }
  }
}

@keyframes spin {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
